%define         PYVER           2.6
%define         __python        python%{PYVER}
%define         PVER            %(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	File - determine file type
Name:		file
Version:	5.04
Release:	1
License:	GNU/GPL
URL:		ftp://ftp.astron.com/pub/file/
Group:		System/Base
Source0:	%{name}-%{version}.tar.gz
Patch0: 	file-4.21-pybuild.patch
Patch1: 	file-5.00-devdrv.patch
Patch2: 	file-5.00-mdmp.patch
Patch3: 	file-5.04-ulaw-segfault.patch
Patch4: 	file-5.04-ruby-modules.patch

BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: zlib-devel

%description
File  tests  each  argument  in an attempt to classify it.
There are three sets of tests, performed  in  this  order:
filesystem  tests, magic number tests, and language tests.
The first test that succeeds causes the file  type  to  be
printed.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package -n python-magic
Summary: Python bindings for the libmagic API
Group:   Development/Libraries
BuildRequires: python26-devel
Requires: %{name} = %{version}-%{release}

%description -n python-magic
This package contains the Python bindings to allow access to the
libmagic API. The libmagic library is also used by the familiar
file(1) command.

%post
ldconfig

%postun
ldconfig

%preun

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
#fixes #463809
%patch1 -p1
#fixes #485835
%patch2 -p1
#fixes #533245
%patch3 -p1
#fixes #562840
%patch4 -p1

%build
CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
./configure \
--prefix=%{_prefix} \
--mandir=%{_mandir} \
--infodir=%{_infodir} \
--enable-fsect-man5 --disable-rpath
# remove hardcoded library paths from local libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
export LD_LIBRARY_PATH=%{_builddir}/%{name}-%{version}/src/.libs
make %{?_smp_mflags}
cd python
CFLAGS="%{optflags}" python2.6 setup.py build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man5
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/misc
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/file

make DESTDIR=${RPM_BUILD_ROOT} install-strip
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la

cat magic/Magdir/* > ${RPM_BUILD_ROOT}%{_datadir}/misc/magic
ln -s misc/magic ${RPM_BUILD_ROOT}%{_datadir}/magic
ln -s ../magic ${RPM_BUILD_ROOT}%{_datadir}/file/magic

cd python
python2.6 setup.py install -O1 --skip-build --root ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}%{_datadir}/%{name}


%files
%defattr(-,root,root)
%{_bindir}/file
%{_datadir}/misc/magic.mgc
%{_datadir}/file/magic
%{_datadir}/magic
%{_datadir}/misc/magic
%{_libdir}/libmagic.so.*
%{_mandir}/man1/file.1.gz
%{_mandir}/man5/magic.5.gz


%files devel
%defattr(-,root,root)
%{_includedir}/magic.h
%{_libdir}/libmagic.so
%{_libdir}/libmagic.a
%{_mandir}/man3/libmagic.3.gz

%files -n python-magic
%defattr(-, root, root, -)
%doc python/README COPYING python/example.py
%{python_sitearch}/magic.so
%{python_sitearch}/*egg-info

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Feb 16 2010 Karsten Brockman <arcam@ccux-linux.de> 5.04-1
- Version update
- added python-magic package
* Sun Jan 10 2010 Christian Wasem <wasem@ccux-linux.de> 5.03-2
- removed rpm as a require
* Fri Jun 26 2009 Karsten Brockman <arcam@ccux-linux.de> 5.03-1
- Version update
* Sat Feb 07 2009 Christian Metzen <metzench@ccux-linux.de> 5.00-1
- Version update
* Sat Nov 22 2008 Karsten Brockman <arcam@ccux-linux.de> 4.26-1
- Version update
* Sat Jul 12 2008 Karsten Brockman <arcam@ccux-linux.de> 4.25-1
- Version update
* Sat May 03 2008 Karsten Brockman <arcam@ccux-linux.de> 4.24-1
- Version update
* Sun Apr 29 2007 Karsten Brockman <arcam@ccux-linux.de> 4.21-1
- Version update
- fix against CVE-2007-2026 DoS vulnerability
* Sun Apr 29 2007 Karsten Brockman <arcam@ccux-linux.de> 4.20-1
- Version update
* Wed Dec 13 2006 Christian Metzen <metzench@ccux-linux.de> 4.19-1
- Version update
* Wed Nov 01 2006 Christian Metzen <metzench@ccux-linux.de> 4.18-1
- Version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 4.17-1
- Version update
* Wed Oct 19 2005 Christian Metzen <metzench@ccux-linux.de> 4.16-1
- Version update
* Sun Aug 21 2005 Christian Metzen <metzench@ccux-linux.de> 4.15-1
- Version update
* Sun Jul 10 2005 Christian Metzen <metzench@ccux-linux.de> 4.14-3
- Splitted devel package
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 4.14-2
- Version Update to 4.14, rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 4.09-1
- Initial Release
